package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = ""
)
@XmlRootElement(
   name = "FILTER"
)
public class FILTER {
   @XmlAttribute(
      name = "DAYOFMONTH"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String dayofmonth;
   @XmlAttribute(
      name = "DAY"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String day;
   @XmlAttribute(
      name = "OCCURRENCE"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String occurrence;

   public String getDAYOFMONTH() {
      return this.dayofmonth;
   }

   public void setDAYOFMONTH(String value) {
      this.dayofmonth = value;
   }

   public String getDAY() {
      return this.day;
   }

   public void setDAY(String value) {
      this.day = value;
   }

   public String getOCCURRENCE() {
      return this.occurrence;
   }

   public void setOCCURRENCE(String value) {
      this.occurrence = value;
   }
}
